--- src/subshell/common.c
+++ src/subshell/common.c
@@ -423,7 +423,8 @@ init_subshell_child (const char *pty_name)
         }
         break;
 
-        /* TODO: Find a way to pass initfile to TCSH and FISH */
+        /* TODO: Find a way to pass initfile to SH, TCSH and FISH */
+    case SHELL_SH:
     case SHELL_TCSH:
     case SHELL_FISH:
         break;
@@ -480,6 +481,7 @@ init_subshell_child (const char *pty_name)
     case SHELL_TCSH:
     case SHELL_KSH:
     case SHELL_MKSH:
+    case SHELL_SH:
         execl (mc_global.shell->path, mc_global.shell->path, (char *) NULL);
         break;
 
@@ -1261,6 +1263,11 @@ init_subshell_precmd (char *precmd, size_t buff_size)
                     command_buffer_pipe[WRITE], command_buffer_pipe[WRITE], subshell_pipe[WRITE]);
         break;
 
+    case SHELL_SH:
+        g_snprintf (precmd, buff_size,
+                    "PS1='$USER@\\h:\\w\\$ '\n", subshell_pipe[WRITE]);
+        break;
+
     default:
         break;
     }
